GPSSMOOTH(1)

NOME
GPSsmooth - invia dati GPS in formato NMEA a un'istanza di FlightGear

SINTASSI
GPSsmooth --help | --file nome_file [--hertz hertz] [--host nomehost] [--broadcast] [--fdm-port porta] [--ctrls-port porta]

DESCRIZIONE
GPSsmooth è un'utilità che legge un file di testo contenente dati GPS in formato NMEA, li analizza e li invia a un'istanza di FlightGear per riprodurli.

OPZIONI

--help
    Mostra informazioni sull'utilizzo ed esce.

--file nome_file
    Legge dati GPS da nome_file. Quest'opzione è obbligatoria se --help non è specificato.

--hertz hertz
    Specifica la frequenza da utilizzare per inviare i dati all'istanza di FlightGear. Per impostazione predefinita, gli eventi sono inviati a una frequenza di 60 Hz.

--host nomehost
    Invia i dati all'istanza di FlightGear in esecuzione su nomehost. Se --host non è specificato, per impostazione predefinita i dati vengono inviati a localhost.

--broadcast
    Invia i dati del modello dei dati di volo e di controllo come pacchetti broadcast.

--fdm-port porta
    Imposta la porta a cui devono essere inviati i dati del modello dei dati di volo. Per impostazione predefinita, i dati vengono inviati alla porta 5505.

--ctrls-port porta
    Imposta la porta a cui devono essere inviati i dati di controllo. Per impostazione predefinita, i dati vengono inviati alla porta 5506.

STATI D'USCITA
GPSsmooth esce con 0 se l'esecuzione ha avuto successo, con -1 se la sintassi degli argomenti della riga di comando è errata o se si verifica un errore.

VEDERE ANCHE
fgfs(1), MIDGsmooth(1), UGsmooth(1)